> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a webhook activity



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/webhooks/{webhook}/activities/{activity}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/webhooks/{webhook}/activities/{activity}:
    get:
      tags:
        - Webhook Activities
      summary: Get a webhook activity
      operationId: webhooks.activities.show
      parameters:
        - name: webhook
          in: path
          required: true
          description: The webhook ID
          schema:
            type: string
        - name: activity
          in: path
          required: true
          description: The activity ID
          schema:
            type: string
      responses:
        '200':
          description: '`WebhookActivityResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookActivityResource'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    WebhookActivityResource:
      type: object
      properties:
        id:
          type: string
        webhook_id:
          type: string
        status:
          type: string
        status_description:
          type: string
        event:
          type: string
        url:
          type: string
        payload:
          type: array
          items: {}
        response:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - webhook_id
        - status
        - status_description
        - event
        - url
        - payload
        - response
        - created_at
        - updated_at
      title: WebhookActivityResource
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````